import { SafeSignature } from '../signatures/SafeSignature';
export declare enum OperationType {
    Call = 0,
    DelegateCall = 1
}
export interface SafeTransactionData {
    readonly to: string;
    readonly value: string;
    readonly data: string;
    readonly operation: OperationType;
    readonly safeTxGas: number;
    readonly baseGas: number;
    readonly gasPrice: number;
    readonly gasToken: string;
    readonly refundReceiver: string;
    readonly nonce: number;
}
export interface SafeTransactionDataPartial {
    readonly to: string;
    readonly value: string;
    readonly data: string;
    readonly operation?: OperationType;
    readonly safeTxGas?: number;
    readonly baseGas?: number;
    readonly gasPrice?: number;
    readonly gasToken?: string;
    readonly refundReceiver?: string;
    readonly nonce?: number;
}
declare class SafeTransaction {
    #private;
    data: SafeTransactionData;
    constructor(data: SafeTransactionData);
    get signatures(): Map<string, SafeSignature>;
    addSignature(signature: SafeSignature): void;
    encodedSignatures(): string;
}
export default SafeTransaction;
